com.taggercat.template.tags
Class AbstractDataFieldTag

java.lang.Object
  extended by javax.servlet.jsp.tagext.TagSupport
      extended by com.taggercat.template.tags.AbstractDataFieldTag
All Implemented Interfaces:
java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag
Direct Known Subclasses:
DataFieldCaptionTag, DataFieldTag, ForEachFieldTag, ForEachTableRowFieldTag

public abstract class AbstractDataFieldTag
extends javax.servlet.jsp.tagext.TagSupport

This tag is the abstract base class for other tags that generate data fields. Data fields can be edit controls, display only controls, etc.

Tag attributes take precedence over request parameters.

See Also:
Serialized Form
 

Field Summary
static java.lang.String TAG_GEN_CONFIG_CACHE_KEY
           
static java.lang.String TAG_GEN_CONFIG_PREFIX
           
 
Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
EVAL_BODY_AGAIN
 
Fields inherited from interface javax.servlet.jsp.tagext.Tag
EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE
 
Constructor Summary
AbstractDataFieldTag()
           
 
Method Summary
 int doEndTag()
           
 int doStartTag()
          Sends the value of the data field to the page.
 void setEntityName(java.lang.String entityName)
           
 int setEntityObjectAttribute(java.lang.String attrName)
          Sets the entity object on the request scope for the given attribute name
 void setPrettyPrint(boolean prettyPrintCaption)
           
 void setPropertyName(java.lang.String propertyName)
           
 
Methods inherited from class javax.servlet.jsp.tagext.TagSupport
doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue
 
Methods inherited from class java.lang.Object
equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Field Detail

TAG_GEN_CONFIG_CACHE_KEY

public static final java.lang.String TAG_GEN_CONFIG_CACHE_KEY
See Also:
Constant Field Values

TAG_GEN_CONFIG_PREFIX

public static final java.lang.String TAG_GEN_CONFIG_PREFIX
See Also:
Constant Field Values
Constructor Detail

AbstractDataFieldTag

public AbstractDataFieldTag()
Method Detail

doEndTag

public int doEndTag()
             throws javax.servlet.jsp.JspException
Specified by:
doEndTag in interface javax.servlet.jsp.tagext.Tag
Overrides:
doEndTag in class javax.servlet.jsp.tagext.TagSupport
Throws:
javax.servlet.jsp.JspException

doStartTag

public int doStartTag()
               throws javax.servlet.jsp.JspException
Sends the value of the data field to the page.

Specified by:
doStartTag in interface javax.servlet.jsp.tagext.Tag
Overrides:
doStartTag in class javax.servlet.jsp.tagext.TagSupport
Throws:
javax.servlet.jsp.JspException
Returns:
SKIP_BODY

setEntityObjectAttribute

public int setEntityObjectAttribute(java.lang.String attrName)
                             throws javax.servlet.jsp.JspException
Sets the entity object on the request scope for the given attribute name

Throws:
javax.servlet.jsp.JspException
Parameters:
attrName - the name of the attribute
Returns:
SKIP_BODY

setPropertyName

public void setPropertyName(java.lang.String propertyName)

setEntityName

public void setEntityName(java.lang.String entityName)

setPrettyPrint

public void setPrettyPrint(boolean prettyPrintCaption)